Name:             monkey-bubble
Version:          0.3.2
Release:          1%{?dist}
Summary:          Game in the spirit of Frozen Bubble
Group:            Amusements/Games
License:          GPL
URL:              http://monkey-bubble.tuxfamily.org/
Source0:          http://monkey-bubble.tuxfamily.org/%{name}-%{version}.tar.gz
Patch0:           monkey-bubble-0.3.2-gstreamer.patch
Patch1:           monkey-bubble-0.3.2-fixes.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    libgnomeui-devel librsvg2-devel gstreamer-devel gettext
BuildRequires:    desktop-file-utils scrollkeeper
Requires(pre):    GConf2
Requires(post):   GConf2 scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper

%description
Monkey Bubble is a bust'a'move clone built using Gnome technologies. It
currently supports 1 and 2 player games, is levelcompatible with frozen bubble,
and features svg vector graphics for resolution independent display.


%prep
%setup -q
%patch0 -p1 -z .gstreamer
%patch1 -p1 -z .fixes
%{__sed} -i s/monkey-bubble-icon/monkey-bubble/ %{name}.desktop.in


%build
export CFLAGS="$RPM_OPT_FLAGS -Wno-pointer-sign"
%configure --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

# below is the desktop file and icon stuff.
desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  --add-category Application                           \
  --add-category Game                                  \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mv ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/monkey-bubble-icon.png \
  ${RPM_BUILD_ROOT}/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
rmdir ${RPM_BUILD_ROOT}%{_datadir}/pixmaps


%clean
rm -rf ${RPM_BUILD_ROOT}


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/monkey-*
%{_datadir}/%{name}
%{_datadir}/gnome
%{_datadir}/omf
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Sat Apr 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3.2-1
- New upstream version 0.3.2
- Add a patch to make it use gstreamer-0.10 instead of 0.8
- Add a patch to fix some warnings
- Properly install the icon
- Fix the scripts to properly handle the GConf schemas and call
  scrollkeeper-update. Don't call ldconfig as there is no lib.

* Fri Nov 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.4
- Drop .so files (for real this time).

* Mon Nov 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.3
- Drop .so files.

* Wed Nov 12 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.2
- BuildReqs desktop-file-utils, gettext, pkgconfig.
- BuildReq libcroco-devel.
- Removing .la files.
- No longer including empty NEWS file under docs.
- Excluding /usr/bin/gsttest.

* Mon Oct 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.1
- Initial RPM release.
